Subject: RE: Protocol next steps

From: "Abbie Barbir" <[email-masked]>
Date: Wed, 2 Apr 2003 14:32:11 -0500

hi,

some basic terminology need to be addressed in the ocp doc.
I think we should stick with OPES Processor and Callout Server.

we can mention that they operate like a client/server, but the same
terminology as in the arch doc should be followed.

I am working my way into editing changes to the doc that will follow soon.

abbie

> -----Original Message-----
> From: Markus Hofmann [mailto:[email-masked]] 
> Sent: Tuesday, April 01, 2003 3:53 PM
> To: [email-masked]
> Subject: Re: Protocol next steps
> 
> 
> 
> Alex Rousskov wrote:
> 
> > Given the above, I think we should publish as an individual 
> draft to 
> > give everybody enough time for a thorough review while allowing new 
> > revisions to be discussed and published. Those that do not have a 
> > problem with the draft becoming a WG document can treat it as such 
> > immediately.
> > 
> > Submitting an individual draft should not hurt anything, should it? 
> > Skipping that step would be nice, but it is not a big deal. I will 
> > submit an individual draft in ~12 hours unless somebody stops me. 
> > Let's move on...
> 
> Yup, please go ahead and publish as individual draft, we 
> don't want to 
> delay this. We'll keep moving the draft forward on this mailing list 
> with input from the entire WG, with the goal to submit the next 
> version of the draft as WG document. This way, we do *not* delay 
> making progress, we immediately have a valid reference point, and 
> folks still have some time to carefully look at the draft.
> 
> However, please note: Possible concerns with the content of the 
> document must be brought up while we're working on the next version. 
> There will *not* be a separate review time or such like once the next 
> version is ready for submission (as WG document). Concerns should be 
> expressed while we're on the path to the next version.
> 
> Thanks,
>    Markus
> 
>

---

From: Alex Rousskov <[email-masked]>
Date: Wed, 2 Apr 2003 13:58:37 -0700 (MST)

> terminology as in the arch doc should be followed.

I agree. There is a following XXX comment:

	XXX: we should replace CLIENT and SERVER placeholders in the
	text with their definitions once the CLIENT definition becomes
	stable

I will apply the above macro substitution unless somebody thinks the
current CLIENT or SERVER definition is wrong.

> I am working my way into editing changes to the doc that will follow soon.

Thank you. If possible, please see Reinaldo Penno comments and my
responses. Also, please ignore anything related to meta-data handling
such as "source" and "destination" message parameters. I will wait for
your comments before applying Reinaldo changes.

Alex.

P.S. I have submitted the -00- draft last night. It must be in the
     editors queue somewhere. Whatever fixes we discuss now will go
     into the next version (01).